package com.atlassian.bitbucket.mesh.git.hook;

import javax.annotation.Nonnull;

import static java.util.Objects.requireNonNull;

public enum GitHook {

    PACK_OBJECTS("git-pack-objects"),
    POST_RECEIVE("git-post-receive"),
    PRE_RECEIVE("git-pre-receive"),
    REFERENCE_TRANSACTION("git-reference-transaction");

    private final String name;

    GitHook(@Nonnull String name) {
        this.name = requireNonNull(name, "name");
    }

    @Nonnull
    public String getName() {
        return name;
    }
}
